from django.contrib.syndication.feeds import Feed
from django.contrib.comments.feeds import LatestCommentFeed
from models import Project, Status
from django.contrib.comments.models import Comment
from django.core.exceptions import ObjectDoesNotExist

class LatestProjects(Feed):
	title = "Latest Projects"
	description = "The ten most recently proposed projects."
	link = "/admin/metaproject/"
	def items(self):
		return Project.objects.order_by('-date_modified')[:10]


class LatestComments(LatestCommentFeed):
	title = "Latest Comments"
	description = "The ten most recently-commented-upon projects."
	

class LatestCommentsByProject(Feed):
	def get_object(self, bits):
		try:
			if len(bits) != 1:
				raise ObjectDoesNotExist
			return Project.objects.get(id__exact=bits[0])
		except ValueError:
			raise ObjectDoesNotExist	

	def link(self, obj):
		return '/view/%s/' % obj.id

	def title(self, obj):
		return 'Latest Comments for Project #%s' % obj.id

	def description(self, obj):
		return obj

	def items(self, obj):
		return Comment.objects.filter(object_pk__exact=obj.id)[:10]
