from django.conf.urls.defaults import *
from feeds import LatestProjects, LatestComments, LatestCommentsByProject
from django.contrib import admin

admin.autodiscover()	# Turns on the admin site



# URLConfs needed for RSS Feeds
feeds = {
	'latest': LatestProjects,
	'comments': LatestComments,
	'projects': LatestCommentsByProject,
}

urlpatterns = patterns('',
	(
		r'^feeds/(?P<url>.*)/$',
		'django.contrib.syndication.views.feed',
		{'feed_dict': feeds,},
	),
)

# URLConfs needed for logging in and out
urlpatterns += patterns('django.contrib.auth.views',
        (r'^accounts/login/$', 'login', {'template_name': 'login.html'}),
        (r'^accounts/logout/$', 'logout', {'template_name': 'logout.html'}),
)

# Django Contrib Stuff: Admin and Comments
urlpatterns += patterns('',
  (r'^comments/', include('django.contrib.comments.urls')),
  (r'^admin/(.*)', admin.site.root),
)


# Django Generic View just renders a template, with no need for a view in our app's views.py
urlpatterns += patterns('django.views.generic.simple',
    (r'^$',             'direct_to_template', {'template': 'mainmenu.html'}),
)


# Our actual application's URLConfs
urlpatterns += patterns('metaproject.views',
	(r'^add/$', 'change_project'),
	(r'^change/(?P<id>[^/]*)/$', 'change_project'),	
	(r'^view/(?P<id>\d*)/$', 'view_project'),
	(r'^view/(?P<filteruser>\w*)/$', 'view_project'),
	(r'^view/$', 'view_project'),
	(r'^reports/$', 'report_gen'),
)


# Lets us serve static media with the development server
urlpatterns += patterns('',
	(r'^static_media/(?P<path>.*)$', 'django.views.static.serve',{'document_root': '/var/django/hew09/metaproject/media'}),
)
